Todos los productos
Search
Centro de documentos

Tablestore:Consulta de información de tareas de entrega

Última actualización: Sep 03, 2026

El Tablestore SDK for Java permite consultar la configuración de entrega a OSS, el tipo de tarea y el estado de sincronización de una tarea de entrega.

Requisitos previos

Instale Tablestore SDK for Java e inicialice un cliente. La entrega de datos requiere la versión 5.10.3 o posterior. Se recomienda usar la versión más reciente.

Descripción

Llame a describeDeliveryTask para consultar la configuración y el estado de ejecución de una tarea de entrega.

public DescribeDeliveryTaskResponse describeDeliveryTask(DescribeDeliveryTaskRequest request)
        throws TableStoreException, ClientException

A continuación se muestra un ejemplo que consulta la tarea de entrega example_task en la tabla de datos example_table e imprime el tipo de tarea, el prefijo del directorio de OSS y la fase de sincronización. client es un cliente ya inicializado.

String tableName = "example_table";
String taskName = "example_task";
DescribeDeliveryTaskRequest request =
        new DescribeDeliveryTaskRequest(tableName, taskName);

DescribeDeliveryTaskResponse response = client.describeDeliveryTask(request);
System.out.println("taskType: " + response.getTaskType());
System.out.println("ossPrefix: " + response.getTaskConfig().getOssPrefix());
System.out.println("taskSyncPhase: "
        + response.getTaskSyncStat().getTaskSyncPhase());

Parámetros

request es de tipo DescribeDeliveryTaskRequest y contiene los siguientes parámetros.

Nombre

Tipo

Descripción

tableName (obligatorio)

String

Nombre de la tabla de datos.

taskName (obligatorio)

String

Nombre de la tarea de entrega.

Respuesta

El método devuelve un objeto DescribeDeliveryTaskResponse que contiene los siguientes campos de negocio.

Nombre

Tipo

Descripción

taskConfig

OSSTaskConfig

Configuración de entrega a OSS.

taskSyncStat

TaskSyncStat

Estado de sincronización de la tarea de entrega.

taskType

DeliveryTaskType

Tipo de tarea de entrega. Valores válidos: BASE para entrega completa, INC para entrega incremental y BASE_INC para entrega completa seguida de entrega incremental continua.

Configuración de entrega a OSS

taskConfig es de tipo OSSTaskConfig y contiene los siguientes campos.

Nombre

Tipo

Descripción

ossPrefix

String

Prefijo del directorio en el bucket de OSS.

ossBucket

String

Nombre del bucket de OSS.

ossEndpoint

String

Endpoint de la región donde se encuentra el bucket de OSS.

ossStsRole

String

ARN del rol vinculado al servicio AliyunServiceRoleForOTSDataDelivery.

parquetSchema

List<ParquetSchema>

Campos entregados. El orden de los elementos coincide con el orden de los campos en los archivos Parquet.

eventTimeColumn

EventColumn

Columna de tiempo de evento. Este campo está vacío si no se configuró ninguna columna de tiempo de evento.

format

OSSFileFormat

Formato de archivo de OSS. Valor actual: Parquet.

timeFormatter

TimeFormatter

Formato de partición de OSS. Valor actual: YDMFormatter, que representa el formato año-mes-día.

Campos entregados

Cada elemento en taskConfig.parquetSchema[] es de tipo ParquetSchema y contiene los siguientes campos.

Nombre

Tipo

Descripción

columnName

String

Nombre del campo de origen en la tabla de datos de Tablestore.

ossColumnName

String

Nombre del campo tras la entrega a OSS.

type

DataType

Tipo de destino del campo en el archivo Parquet.

encode

OSSFileEncoding

Codificación de Parquet.

typeExtend

String

Tipo extendido de Parquet. Esta función no es compatible, por lo que este campo está vacío.

Columna de tiempo de evento

taskConfig.eventTimeColumn es de tipo EventColumn y contiene los siguientes campos.

Nombre

Tipo

Descripción

columnName

String

Nombre del campo de origen que se usa como tiempo de evento.

timeFormat

EventTimeFormat

Formato del tiempo de evento. Valores válidos: RFC822, RFC850, RFC1123, RFC3339 y Unix.

Estado de sincronización

taskSyncStat es de tipo TaskSyncStat y contiene los siguientes campos.

Nombre

Tipo

Descripción

taskSyncPhase

TaskSyncPhase

Fase de sincronización. Valores válidos: INIT para inicialización, FULL para sincronización completa y INCR para sincronización incremental.

currentSyncPoint

Date

Punto actual de sincronización temporal.

errorType

DeliveryErrorType

Tipo de error. Valores válidos: OK cuando no hay errores, UNAUTHORIZED para fallos de autorización y INVALID_OSS_BUCKET para buckets de OSS no válidos.

detail

String

Detalles sobre el estado de sincronización o el error.